DNF5-LIST(8)

NAME
dnf5-list - List Command

SYNOPSIS

dnf5 list [options] [<package-spec-NI>...]

DESCRIPTION

Prints lists of packages based on the provided parameters.

If terminal is available, list of the packages is colored, packages available for reinstall are (by default) colored with bold green and packages available for upgrade with bold blue. This behavior can be adjusted in dnf5.conf(5) via color_list_available_upgrade and color_list_available_reinstall options.

OPTIONS

    --showduplicates
        Show all versions of the packages, not only the latest one.

    --installed-from-repo=REPO_ID,...
        Filters installed packages by the ID of the repository they were installed from.

    --installed
        List only installed packages.

    --available
        List only available packages.

    --extras
        List only extras: packages installed on the system that are not available in any known repository.

    --obsoletes
        List only packages installed on the system that are obsoleted by packages in any known repository.

    --recent
        List only packages recently added to the repositories.

    --upgrades
        List only available upgrades for installed packages.

    --autoremove
        List only packages that will be removed by the autoremove command <#autoremove-command-ref-label>.

    --json
        Request JSON output format.

EXAMPLES

    dnf5 list
        List installed and available packages.

    dnf5 list --available --showduplicates
        List all available packages, including all available versions.

    dnf5 list kernel*
        List installed and available packages whose names start with kernel.

JSON OUTPUT

dnf5 list --json

The command returns a JSON object with the following structure:

    •   keys represent a section of the “pretty” CLI output

    •   values represent the packages in that section as an array of objects with the following structure:

                •   name (string): package name

                •   arch (string): package architecture

                •   evr (string): available update version

                •   repository (string): repository ID from which the update is available

                •   obsoletes (array): (only for the “Obsoleting packages” section) list of the packages that obsolete this package (they have the same structure as above, omitting obsoletes)

SEE ALSO
        dnf5-specs(7), Patterns specification <#specs-misc-ref-label>

Author
See AUTHORS.md in dnf5 source distribution.

Copyright
Contributors to the dnf5 project.